Bug 492867 - re20090327.0 installation on RHEL-4 ends with a dependency problem
re20090327.0 installation on RHEL-4 ends with a dependency problem
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Jan Hutař
:
Depends On:
Blocks: 457000 486216
  Show dependency treegraph
 
Reported: 2009-03-30 09:29 EDT by Jan Hutař
Modified: 2009-09-10 14:15 EDT (History)
4 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:15:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2009-03-30 09:29:47 EDT
Description of problem:
Installation on s390x ends with dependency problems because of rhn-solaris-bootstrap


Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL4-re20090327.0/s390x


How reproducible:
1 of 1 attempt


Steps to Reproduce:
1. # /mnt/redhat/devel/candidate-trees/Satellite-5.3.0-RHEL4-re20090327.0/s390x/s390x//install.pl --answer-file=/mnt/tests/CoreOS/RHN-Satellite/Installer/Sanity/install/answers.txt --non-interactive --disconnected --run-updater


Actual results:
Could not install RHN packages.  Most likely your system is not configured with the @Base package group.  See the RHN Satellite Server Installation Guide for more information about Software Requirements.  Exit value: 250.
Please examine /var/log/rhn/rhn-installation.log for more information.


Expected results:
no dependency problems


Additional info:
Happened in this run:
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=7443269

From /var/log/rhn/rhn-installation.log:
[...]
Installing /var/spool/up2date/mod_ssl-2.0.52-41.ent.2.s390x.rpm...
The following packages were added to your selection to satisfy dependencies:

Name                                    Version        Release
--------------------------------------------------------------
perl-IO-Zlib                            1.04           4.2.el4             

No updates available for this system
ERROR: RPM dependency error.  The message was:
Dependencies should have already been resolved, but they are not.
Unresolved rpm dependencies:

Package rhn-solaris-bootstrap-5.3.0-6.el4sat requires rhn_solaris_bootstrap_5_3_0_6 = 1-0.el4sat
Comment 1 Jan Hutař 2009-03-30 09:33:50 EDT
Err, this happens for *all* RHEL-4 archs.
Comment 5 Dennis Gilmore 2009-04-02 14:19:44 EDT
20090401 compose fixes this
Comment 6 Jan Hutař 2009-04-06 06:57:30 EDT
Snapshot 20090401 installs ok on both RHEL5 and 4. Thanks.
Comment 7 Tomas Lestach 2009-09-07 10:34:38 EDT
# up2date -i @Base
...
# /mnt/hostel/local/Satellite-5.3.0-RHEL4-re20090820.1-x86_64/install.pl --run-updater=yes --disconnected
* Starting the Red Hat Network Satellite installer.
* Performing pre-install checks.
* Pre-install checks complete.  Beginning installation.
* RHN Registration.
** Registration: Disconnected mode.  Not registering with RHN.
* Installing required packages.
* Applying updates.
* Installing RHN packages.
* Now running setup.
...

No package dependency problems when installing sat on RHEL4.

Stage validated -> RELEASE_PENDING
Comment 8 Brandon Perkins 2009-09-10 14:15:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.